Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
Class TableLayoutRow

Represents a row in a table layout

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`List` | `cells`
`TableLayout` | `parent`
`int` | `rowIndex`

Constructor Summary
`TableLayoutRow(TableLayout tableLayoutTag)`

Method Summary
`void` | `addCell(TableLayoutCell tag)` Adds a new cell to this row
`int` | `getRowIndex()`
`void` | `start()`

Constructor Detail

### TableLayoutRow

    public TableLayoutRow(TableLayout tableLayoutTag)

Method Detail

### addCell

    public void addCell(TableLayoutCell tag)

  Adds a new cell to this row

### getRowIndex

    public int getRowIndex()

  return:
    the row index of this row

### start

    public void start()